<?php
/*/ ?l=edittorg& l=edittorg&torg_id=$torg[id] /*/
if (isset($_GET['torg_id']))
{
$torg_id=abs(intval($_GET['torg_id']));
}else{$torg_id=0;}
$torg=mysql_fetch_assoc(mysql_query("SELECT * FROM `torgs` WHERE `id`='$torg_id' LIMIT 1"));
if(!$torg){mset_err("Торговец не найден");header("Location: ?l=torgs");exit;}
$card=mysql_fetch_assoc(mysql_query("SELECT * FROM `location` WHERE `id`='$torg[id_card]' LIMIT 1"));
if(!$card){mset_err("Карта не найдена!");header("Location: ?l=torgs");exit;}

include_once SYS."/torg.st";
$_SESSION['title']="Правка торговца <b>$card[name] [$torg[coord]] $torg[name] </b>";
heads($headers_page, $set_ob_start);   //подключение шапки
$ico=M."/img/torg/$torg[ico]";
$rand=rand(1000,9999);
echo "<div class='aselobj'><img src='$ico?$rand' alt='$torg[name]' width='64px' /></div>";
if(isset($_POST['saved']))
{
  #echo "проверяем и сохраняем данные";
  $accept_type=array('image/gif'=>'gif','image/png'=>'png','image/jpeg'=>'jpg');
  $errors='';$errors2='';
  if($_FILES['file'])
  {
    if(!isset($accept_type[$_FILES['file']['type']]))
    {
    $errors.=("Недопустимый тип файла! ");$file_ras='';
    }else{
    $file_ras=$accept_type[$_FILES['file']['type']];}
    if (!(move_uploaded_file($_FILES['file']['tmp_name'], H."/img/torg/$torg[id].$file_ras"))){$errors.=("Аватар торговца не был загружен");}
  }else{$errors.=("Аватар торговца не был загружен");}
  
  if ($errors=='')
  {
  mysql_query("UPDATE `torgs` SET `ico`='$torg[id].$file_ras' WHERE `id`='$torg[id]' LIMIT 1");
  mset_msg("Аватар торговца $name успешно изменен");
  }
    
  $name=ft_nic($_POST['name']);
  echo "$name [] $_POST[name]<br />";
  if(strlen2($name)>125 or strlen2($name)<3)$errors2.="Неверная длина имени торговца (3-125)<br />";
    if($errors2=='')
    {    
      #$insert_id=mysql_insert_id();
      
      mset_msg("Торговец $name успешно изменен");
      mysql_query("UPDATE `torgs` SET `name`='$name' WHERE `id`='$torg[id]' LIMIT 1");
      #echo mysql_error()."<br />";
      header("Location: ?l=edittorg&torg_id=$torg[id]");exit;    
    }
mset_err($errors);  mset_err($errors2);
header("Location: ?l=edittorg&torg_id=$torg[id]");exit;
}else{
echo "<form enctype='multipart/form-data' class='c03' action='' method='post'>";
echo "Аватарка торговца<br /> <input type='file' size='2' name='file' accept='image/*,image/gif,image/png,image/jpeg' /><br />";
echo "Имя торговца:<br /><input type='text' name='name' value='$torg[name]' /><br />";
echo "<input type='submit' name='saved' value='сохранить' />";
echo "</form>";}
#echo "Продаваемые товары!<br />";
$t_tovars=explode('ђ',trim($torg['tovars']));
#unset($t_tovars[0]); 
$tovars=array();
echo "<div class='c03'>";
foreach ($t_tovars as $k=>$v)
{
  #echo $k." - ".$v."<br />";
  $tmp_tov=regroup_tov($v);
  $tovars[$tmp_tov['incode']]=$v;
  if($tmp_tov){echo "[$tmp_tov[type_name]] ".$tmp_tov['name']." || $tmp_tov[price] руб. || $tmp_tov[massa] кг. ";
  echo "<a href='?l=edittorg&torg_id=$torg[id]&deltype=$tmp_tov[incode]'>[del]</a><br />";}
}
echo "</div>";
// Проверяем вставку нового товара
if (isset($_POST['add']))
{
$addtov=ft_nic($_POST['addtov']);
$check_tov=mysql_fetch_assoc(mysql_query("SELECT * FROM `tovar` WHERE `incode`='$addtov' LIMIT 1"));
echo "выбранный код товара $addtov <br /> ";
  if($check_tov)
  {
    if(!isset($tovars[$addtov]))
    {
    $tovars[$addtov]=group_tov($check_tov);
    $enter_tov=mysql_real_escape_string(implode('ђ',$tovars));
    mysql_query("UPDATE `torgs` SET `tovars`='$enter_tov' WHERE `id`='$torg[id]' LIMIT 1");
    if(mysql_affected_rows()){mset_msg("Товар успешно добавлен!");}else{ mset_err("Ошибка обращения к БД");}  
    }else{mset_err("Товар $check_tov[name] уже продается этим торговцем");}
    mysql_query("OPTIMIZE TABLE `torgs`");
  }else{mset_err("Товар не найден");}
header("Location: ?l=edittorg&torg_id=$torg[id]");exit;
}
// Удаление существующего
if (isset($_GET['deltype']))
{
$deltype=ft_nic($_GET['deltype']);
$check_tov=mysql_fetch_assoc(mysql_query("SELECT * FROM `tovar` WHERE `incode`='$deltype' LIMIT 1"));
  if($check_tov)
  {
    if(isset($tovars[$deltype]))
      {
      unset($tovars[$deltype]);
      $enter_tov=mysql_real_escape_string(implode('ђ',$tovars));
      if(strlen2($enter_tov)<=3){$enter_tov='';}
      mysql_query("UPDATE `torgs` SET `tovars`='$enter_tov' WHERE `id`='$torg[id]' LIMIT 1");
      if(mysql_affected_rows()){mset_msg("Товар удален!");}else{ mset_err("Ошибка обращения к БД");}
      mysql_query("OPTIMIZE TABLE `torgs`");  
      }else{mset_err("Товар $check_tov[name] не продается этим торговцем"); }
  }else{mset_err("Товар не найден");}
header("Location: ?l=edittorg&torg_id=$torg[id]");exit;
}
//
if(count($tovars)<=0){echo "<div class='err'>Нет товаров</div>";}
//
$etalons=mysql_query("SELECT * FROM `tovar`");
echo "<form class='c03' action='' method='post'>";
if(mysql_num_rows($etalons))
{
echo "<select name='addtov'>";
  while($data=mysql_fetch_assoc($etalons))
  {
    if(!isset($tovars[$data['incode']]))echo "<option value='$data[incode]'>[$data[type_name]] $data[name]</option>"; //incode
  }
echo "</select>";
echo "<input type='submit' name='add' value='добавить' />";
}else{echo "Нет товаров для добавления";}

echo "</form>";  //
?>